summaryrefslogtreecommitdiff
path: root/start-container-qemu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'start-container-qemu.sh')
-rwxr-xr-xstart-container-qemu.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/start-container-qemu.sh b/start-container-qemu.sh
index 235c4aea..bc90cd1a 100755
--- a/start-container-qemu.sh
+++ b/start-container-qemu.sh
@@ -37,7 +37,7 @@ container=$(mktemp)
# Run container as privileged to mount host's /dev inside container to gain
# access to /dev/kvm.
# Publish container's port 2222, which is forwarded to VM's ssh server.
-"$(dirname "$0")"/start-container-docker.sh "${docker_args[@]}" --docker_opts "--privileged --publish 2222" > "$container"
+"$(dirname "$0")"/start-container-docker.sh "${docker_args[@]}" --security "--privileged --publish 2222" > "$container"
# shellcheck disable=SC2064
trap "rm $container; cleanup_all_containers" EXIT
@@ -121,7 +121,7 @@ remote_exec "$host:$port:/:-f -Snone" \
qemu_port=$(ssh $host docker port $container_id 2222 | cut -d: -f 2)
ret=0
-wait_for_ssh_server $host $qemu_port || ret=$?
+wait_for_ssh_server $host "" -p$qemu_port || ret=$?
if [ $ret != 0 ]; then
echo "SSH server did not respond, exiting"
exit $ret